package com.kmall.admin.service.mk;

import com.kmall.admin.entity.mk.MkCenterMenuStoreRealEntity;

import java.util.List;
import java.util.Map;

/**
 * 营销中心菜单门店关联表Service接口
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-28 10:14:06
 */
public interface MkCenterMenuStoreRealService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    MkCenterMenuStoreRealEntity queryObject(Integer id);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkCenterMenuStoreRealEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkCenterMenuStoreReal 实体
     * @return 保存条数
     */
    int saveOrUpdate(MkCenterMenuStoreRealEntity mkCenterMenuStoreReal);

    /**
     * 根据主键更新实体
     *
     * @param mkCenterMenuStoreReal 实体
     * @return 更新条数
     */
    int update(MkCenterMenuStoreRealEntity mkCenterMenuStoreReal);

    /**
     * 根据主键删除
     *
     * @param id
     * @return 删除条数
     */
    int delete(Integer id);

    /**
     * 根据主键批量删除
     *
     * @param ids
     * @return 删除条数
     */
    int deleteBatch(Integer[] ids);
}
